aboutsummaryrefslogtreecommitdiffstats
path: root/bin/rmcache
diff options
context:
space:
mode:
Diffstat (limited to 'bin/rmcache')
-rwxr-xr-xbin/rmcache31
1 files changed, 31 insertions, 0 deletions
diff --git a/bin/rmcache b/bin/rmcache
new file mode 100755
index 0000000..463ec10
--- /dev/null
+++ b/bin/rmcache
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+USERDIR=$1
+
+echo "rmcache cleaning up: $USERDIR"
+
+caches=".cache/chromium"
+## take care of the whitespace!
+caches+=" .config/chromium/Default/*Index*"
+caches+=" .thumbnails"
+caches+=" .opera/cache4"
+caches+=" .opera/cache"
+caches+=" .java/deployment/cache"
+caches+=" .local/share/Trash"
+caches+=" .gnome2/epiphany/mozilla/epiphany/Cache"
+caches+=" .adobe/Acrobat/*/Cache"
+caches+=" .adobe/Acrobat/*/Temp"
+caches+=" .macromedia/Flash_Player/*"
+caches+=" .adobe/Flash_Player/AssetCache"
+caches+=" .java/deployment/cache"
+
+pushd $USERDIR > /dev/null
+
+for cache in $caches
+do
+ echo "removing $cache"
+ rm -Rf "$cache"
+ [ $? -eq 0 ] || exit 1
+done
+
+popd > /dev/null